@charset "UTF-8";

/* src/styles.scss */
:root {
  --red-bg-color: #FFF5F5;
  --grey-bg-color: #C8D2D7;
  --red-text-color: #ec0000;
  --green-text-color: #006800;
  --grey-text-color: #585858;
  --success-color: #287D3C;
  --primary-color: #276D98;
}
body {
  margin: 0;
  font-family: "Poppins", sans-serif;
}
* {
  font-family: inherit;
  box-sizing: border-box;
}
:focus-visible {
  outline: none !important;
  border: 1px solid #333 !important;
  border-radius: 4px;
  box-shadow: 0 0 0 2px #fff, 0 0 0 4px #333 !important;
}
h1,
h2,
h3,
h4,
h5,
h6 {
  margin: 0;
}
::-webkit-scrollbar {
  width: 12px;
  height: 12px;
}
::-webkit-scrollbar-track {
  background: #f1f1f1;
  border-radius: 8px;
}
::-webkit-scrollbar-thumb {
  background: #888;
  border-radius: 8px;
  border: 3px solid #f1f1f1;
}
::-webkit-scrollbar-thumb:hover {
  background: #555;
}
* {
  scrollbar-width: thin;
  scrollbar-color: #888 #f1f1f1;
}
input[type=text],
input[type=email],
input[type=password],
input[type=search],
input:is(:-webkit-autofill, :autofill) {
  appearance: textfield !important;
  padding: 9px 18px;
  font-size: 16px;
  line-height: 24px;
  font-weight: 400;
  border: 1px solid #333;
  border-radius: 6px;
}
img + input[type=text],
img + input[type=email],
img + input[type=password],
app-svg-icon + input[type=text],
app-svg-icon + input[type=email],
app-svg-icon + input[type=password] {
  padding: 9px 18px 10px 36px;
}
button {
  appearance: none;
  border: none;
  background: none;
  padding: 0;
  margin: 0;
  border-radius: 6px;
  cursor: pointer;
  font-size: 16px;
  line-height: 24px;
  font-weight: 600;
}
button.primary {
  padding: 12px 24px;
  min-width: 150px;
  background-color: var(--primary-color);
  color: #F6F6F6;
}
button {
}
button.success {
  background-color: var(--success-color);
  color: #F6F6F6;
}
button.secondary {
  padding: 12px 24px;
  min-width: 150px;
  background-color: #F6F6F6;
  color: #263A51;
  border: 1px solid #333;
}
button.link-text {
  color: #215d82;
}
button:disabled {
  cursor: not-allowed;
  opacity: 0.7;
}
.h1-title {
  font-size: 36px;
  font-weight: 600;
  line-height: 40px;
}
.h2-title {
  font-size: 30px;
  font-weight: 500;
  line-height: 42px;
}
.h3-title {
  font-size: 24px;
  font-weight: 500;
  line-height: 34px;
}
.h4-title {
  font-size: 20px;
  font-weight: 500;
  line-height: 28px;
}
.p-large {
  font-size: 18px;
  line-height: 26px;
  font-weight: 400;
}
.p-large strong {
  font-weight: 500;
}
.p-normal {
  font-size: 16px;
  line-height: 24px;
  font-weight: 400;
}
.p-normal strong {
  font-weight: 500;
}
.label-large {
  font-size: 16px;
  font-style: normal;
  font-weight: 600;
  line-height: 18px;
}
.label-small {
  font-size: 14px;
  font-style: normal;
  font-weight: 500;
  line-height: 18px;
}
.caption {
  font-size: 14px;
  line-height: 18px;
  font-weight: 400;
}
.caption strong {
  font-weight: 600;
}
.caption-small {
  font-size: 13px;
  line-height: 18px;
  font-weight: 400;
}
.caption-small strong {
  font-weight: 600;
}
.caption-extra-small {
  font-size: 12px;
  line-height: 14px;
  font-weight: 400;
}
.caption-extra-small strong {
  font-weight: 600;
}
.link-text {
  font-size: 15px;
  line-height: 20px;
  font-weight: 400;
  color: inherit;
  padding: 0;
}
.error-background-color {
  background-color: var(--red-bg-color);
}
.error-text-color {
  color: var(--red-text-color);
}
.ok-text-color {
  color: var(--green-text-color);
}
.grey-text-color {
  color: var(--grey-text-color);
}
@media screen and (max-width: 768px) {
  .h1-title {
    font-size: 32px;
    line-height: 38px;
  }
  .h2-title {
    font-size: 24px;
    line-height: 36px;
  }
}
.pointer {
  cursor: pointer;
}

/* angular:styles/global:styles */
